Package nl.tudelft.simulation.dsol.animation.gis.map

## Class MapImage

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.MapImage

All Implemented Interfaces:
  `Serializable`, `MapImageInterface`

    public class MapImage
    extends Object
    implements MapImageInterface

This class defines the map image, which acts as the basic 'canvas' for the drawing process. The size does not matter that much, as it will be scaled to screen dimensions and clipped with the proper viewport.

Copyright (c) 2020-2022 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MapImage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getBackgroundColor()`
`Dimension` `getSize()`
`void` `setBackgroundColor​(Color backgroundColor)`
`void` `setSize​(Dimension size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapImage

    public MapImage()

### Method Detail

#### getBackgroundColor

    public Color getBackgroundColor()

Specified by:
  `getBackgroundColor` in interface `MapImageInterface`

#### setBackgroundColor

    public void setBackgroundColor​(Color backgroundColor)

Specified by:
  `setBackgroundColor` in interface `MapImageInterface`

#### getSize

    public Dimension getSize()

Specified by:
  `getSize` in interface `MapImageInterface`

#### setSize

    public void setSize​(Dimension size)

Specified by:
  `setSize` in interface `MapImageInterface`